<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3012
Name: Verabreichte Impfungen
Description: Verabreichte Impfungen und ausdrücklich nicht erwünschten Impfungen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3012-2013-07-15T000000">
   <title>Verabreichte Impfungen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]
Item: (Immunizationssection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]"
         id="d41e1685-false-d16127e0">
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3012']) &gt;= 1">(Immunizationssection): Element hl7:templateId[@root = '1.2.276.0.76.10.3012'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3012']) &lt;= 1">(Immunizationssection): Element hl7:templateId[@root = '1.2.276.0.76.10.3012'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Immunizationssection): Element hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Immunizationssection): Element hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Immunizationssection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Immunizationssection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Immunizationssection): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Immunizationssection): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]/hl7:templateId[@root = '1.2.276.0.76.10.3012']
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]/hl7:templateId[@root = '1.2.276.0.76.10.3012']"
         id="d41e1689-false-d16170e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.3012')">(Immunizationssection): Der Wert von root MUSS '1.2.276.0.76.10.3012' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]/hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]/hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e1696-false-d16185e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="@nullFlavor or (@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')">(Immunizationssection): Der Elementinhalt MUSS einer von 'code '11369-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]/hl7:title[not(@nullFlavor)]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]/hl7:title[not(@nullFlavor)]"
         id="d41e1709-false-d16201e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="text()='Angaben zu Impfungen'">(Immunizationssection): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Angaben zu Impfungen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3012
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]/hl7:text[not(@nullFlavor)]
Item: (Immunizationssection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3012']]/hl7:text[not(@nullFlavor)]"
         id="d41e1717-false-d16215e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3012-2013-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Immunizationssection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
