<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3146
Name: Poststationäre soziale / pflegerische Versorgung
Description: Template CDA Section (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3146-2020-05-25T132634">
   <title>Poststationäre soziale / pflegerische Versorgung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3146
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]
Item: (postCareSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3146
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]
Item: (postCareSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]"
         id="d41e2960-false-d16913e0">
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3146']) &gt;= 1">(postCareSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3146'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3146']) &lt;= 1">(postCareSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3146'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="count(hl7:code[(@code = '91984-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(postCareSection): Element hl7:code[(@code = '91984-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="count(hl7:code[(@code = '91984-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(postCareSection): Element hl7:code[(@code = '91984-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(postCareSection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(postCareSection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(postCareSection): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(postCareSection): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3146
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]/hl7:templateId[@root = '1.2.276.0.76.10.3146']
Item: (postCareSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]/hl7:templateId[@root = '1.2.276.0.76.10.3146']"
         id="d41e2962-false-d16956e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(postCareSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="string(@root) = ('1.2.276.0.76.10.3146')">(postCareSection): Der Wert von root MUSS '1.2.276.0.76.10.3146' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3146
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]/hl7:code[(@code = '91984-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (postCareSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]/hl7:code[(@code = '91984-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e2967-false-d16971e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(postCareSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="@nullFlavor or (@code='91984-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Outpatient Care management note' and @codeSystemName='LOINC')">(postCareSection): Der Elementinhalt MUSS einer von 'code '91984-5' codeSystem '2.16.840.1.113883.6.1' displayName='Outpatient Care management note' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3146
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]/hl7:title[not(@nullFlavor)]
Item: (postCareSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]/hl7:title[not(@nullFlavor)]"
         id="d41e2972-false-d16987e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(postCareSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="text()='Poststationäre soziale / pflegerische Versorgung'">(postCareSection): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Poststationäre soziale / pflegerische Versorgung'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3146
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]/hl7:text[not(@nullFlavor)]
Item: (postCareSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3146']]/hl7:text[not(@nullFlavor)]"
         id="d41e2984-false-d17001e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/elmgmt/elmgmt-html-20201119T125049/tmp-1.2.276.0.76.10.3146-2020-05-25T132634.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(postCareSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
